Package org.springframework.jca.endpoint

# Class GenericMessageEndpointFactory.InternalResourceException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
org.springframework.jca.endpoint.GenericMessageEndpointFactory.InternalResourceException

All Implemented Interfaces:
  `Serializable`

Enclosing class:
  GenericMessageEndpointFactory

public static class GenericMessageEndpointFactory.InternalResourceException extends RuntimeException
Internal exception thrown when a ResourceException has been encountered during the endpoint invocation.

Will only be used if the ResourceAdapter does not invoke the endpoint's `beforeDelivery` and `afterDelivery` directly, leaving it up to the concrete endpoint to apply those - and to handle any ResourceExceptions thrown from them.

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`InternalResourceException(ResourceException cause)`

## Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### InternalResourceException

public InternalResourceException(ResourceException cause)